### Method

# GtkSource SpaceDrawer set_matrix

#### Declaration [src]

    void
    gtk_source_space_drawer_set_matrix (
      GtkSourceSpaceDrawer* drawer,
      GVariant* matrix
    )

#### Description [src]

Sets a new value to the `GtkSourceSpaceDrawer:matrix` property, as a `GVariant`.

If `matrix` is `NULL`, then an empty array is set.

If `matrix` is floating, it is consumed.

The `gtk_source_space_drawer_set_types_for_locations()` function may be more convenient to use.

Sets property | `GtkSource.SpaceDrawer:matrix`

#### Parameters

`matrix`

  Type: `GVariant`

  The new matrix value, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.